org.apache.ignite.internal.processors.cache.tree.mvcc.search

## Class MvccMaxSearchRow

- java.lang.Object
- - org.apache.ignite.internal.processors.cache.tree.SearchRow
  - - org.apache.ignite.internal.processors.cache.tree.mvcc.search.MvccMaxSearchRow

All Implemented Interfaces:
  MvccVersionAware, CacheSearchRow

    public class MvccMaxSearchRow
    extends SearchRow

Search row for maximum key version.

### Constructor Summary

Constructors
Constructor and Description
`MvccMaxSearchRow(int cacheId, KeyCacheObject key)`

### Method Summary

All Methods Instance Methods Concrete Methods
`long` `mvccCoordinatorVersion()`
`long` `mvccCounter()`
`int` `mvccOperationCounter()`
`String` `toString()`

### Methods inherited from class org.apache.ignite.internal.processors.cache.tree.SearchRow

`cacheId, hash, key, link, mvccTxState`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.apache.ignite.internal.processors.cache.mvcc.MvccVersionAware

`mvccVersion, mvccVersion, mvccVersion, mvccVersion`

### Constructor Detail

#### MvccMaxSearchRow

    public MvccMaxSearchRow(int cacheId,
                            KeyCacheObject key)

Parameters:
  `cacheId` - Cache ID.
  `key` - Key.

### Method Detail

#### mvccCoordinatorVersion

    public long mvccCoordinatorVersion()

Specified by:
  `mvccCoordinatorVersion` in interface `MvccVersionAware`
Overrides:
  `mvccCoordinatorVersion` in class `SearchRow`
Returns:
  Mvcc coordinator version.

#### mvccCounter

    public long mvccCounter()

Specified by:
  `mvccCounter` in interface `MvccVersionAware`
Overrides:
  `mvccCounter` in class `SearchRow`
Returns:
  Mvcc counter.

#### mvccOperationCounter

    public int mvccOperationCounter()

Specified by:
  `mvccOperationCounter` in interface `MvccVersionAware`
Overrides:
  `mvccOperationCounter` in class `SearchRow`
Returns:
  Mvcc operation counter.

#### toString

    public String toString()

Overrides:
  `toString` in class `SearchRow`

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.9.0
Release Date | : October 15 2020